/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package core;

/**
 * Class contains information about a specific playlist(name)
 */
public class PlaylistInformation {
	private long id;
	private int items;
	private String name;
	
	public PlaylistInformation(long id, String name, int items) {
		this.id = id;
		this.name = name;
		this.items = items;
	}
	/**
	 * Get itemcount of this playlist
	 * @return		itemcount
	 */
	public int getItems() {
		return items;
	}
	/**
	 * set number of items
	 * @param items
	 */
	public void setItems(int items) {
		this.items = items;
	}
	/**
	 * 
	 * @return		name of this playlist
	 */
	public String getName() {
		return name;
	}
	/**
	 * set new name for this playlist
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 
	 * @return		playlistid
	 */
	public long getId() {
		return id;
	}
}
