/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package core;

/**
 * This class is used in the StateThread to update its observers usually when a callback is occured
 * and an appropriate function was called. UpdateUITypes pass the Management and usually go directly
 * to Observers attached to it (in our case the UI)
 */

public class UpdateUIType {
	private int type;
	private Object val;
	
	public static final int CONFIGVAL_CHANGED = 100;
	public static final int PLAYBACK_STATUS_CHANGED = 101;
	public static final int PLAYLIST_CHANGED = 102;
	public static final int PLAYBACK_ID_CHANGED = 103;
	public static final int PLAYLIST_CURRENT_POSITION_CHANGED = 104;
	public static final int PLAYTIME_CHANGED = 105;
	public static final int VOLUME_OR_EQUALIZER_CHANGED = 106;
	public static final int BACKEND_LOST = 107;
	public static final int MLIB_LIST = 108;
	public static final int MLIB_SEARCH = 109;
	public static final int PLAYLIST_INFO = 110;
	public static final int PLAYLIST_LOADED = 111;
	public static final int BG_WORKING = 112;
	public static final int BG_IDLE = 113;
	public static final int MLIB_ENTRY_CHANGED = 114;
	
	public UpdateUIType(int type, Object val){
		this.val = val;
		this.type = type;
	}
	
	public int getType(){
		return type;
	}
	
	public Object getVal(){
		return val;
	}
}
