/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * Copyright Georg Schild (dangertools@gmail.com), Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package gui;

import java.net.MalformedURLException;

import jcifs.smb.SmbFile;

import org.Xwidgets.event.XKeyAdapter;
import org.Xwidgets.event.XKeyEvent;
import org.apache.log4j.Logger;

import core.Management;

/**
 * Packagekeylistener used for some global key-events
 */

class KeyListener extends XKeyAdapter {
	private Management myManagement;
	private Logger logger;
	private static KeyListener instance;
	
	private KeyListener(){
		logger = Logger.getLogger(getClass());
		myManagement = Management.getInstance();
	}

	/**
	 * Get a KeyListener. You usually want to use that to add a listener of this class to your control
	 * 
	 * @return		a singleton keylistener
	 */
	public static KeyListener getInstance(){
		if (instance == null)
			instance = new KeyListener();
		return instance;
	}

	/**
	 * Handle a keyPressed Event
	 */
	public void xKeyPressed(XKeyEvent arg0) {
		if (arg0.character == (char)13){
			if (arg0.getSource().equals(MainGUI.mainGui.mlibPanel.textSearch.getRealObject())){
				MainGUI.mainGui.mlibPanel.searchButton.forceFocus();
			}
			else if (arg0.getSource().equals(MainGUI.mainGui.CIFSBrowser.adress.getRealObject())){
				try {
					String line = MainGUI.mainGui.CIFSBrowser.adress.getText();
					if (!line.endsWith("/"))
						line += "/";
					SmbFile tmp = new SmbFile("smb:/" + line);
					MainGUI.mainGui.CIFSBrowser.fillTable(tmp);
				} catch (MalformedURLException e) {
					logger.debug(e.getMessage(), e);
				}
			}
		}
	}

	/**
	 * Handle a KeyReleased Event
	 */
	public void xKeyReleased(XKeyEvent arg0) {}
	
}
