/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package gui;

import org.Xwidgets.event.XMenuAdapter;
import org.Xwidgets.event.XMenuEvent;

/**
 * a package MenuListener which handles MenuEvents. At the moment it only looks if some entries can/should be shown
 */

class MenuListener extends XMenuAdapter {

	private static MenuListener instance;
	
	/**
	 * As all other Listeners you can get a singleton object here
	 * @return		MenuListener
	 */
	public static MenuListener getInstance(){
		if (instance == null)
			instance = new MenuListener();
		return instance;
	}
	
	/**
	 * Handle a menuHidden Event
	 */
	public void xMenuHidden(XMenuEvent arg0) {}

	/**
	 * handle a menuShown Event
	 */
	public void xMenuShown(XMenuEvent arg0) {
		if (arg0.getSource().equals(MainGUI.mainGui.playlistPanel.menu)){
			MainGUI.mainGui.playlistPanel.delItemFromPl.setEnabled(true);
			MainGUI.mainGui.playlistPanel.showTitleProperties.setEnabled(true);
			if (MainGUI.mainGui.playlistPanel.table.getSelectedIndices().length <= 0){
				MainGUI.mainGui.playlistPanel.delItemFromPl.setEnabled(false);
				MainGUI.mainGui.playlistPanel.showTitleProperties.setEnabled(false);
			}
		}
		else if (arg0.getSource().equals(MainGUI.mainGui.playlistPanel.menuPlayl)){
			MainGUI.mainGui.playlistPanel.openPlaylist.setEnabled(true);
			MainGUI.mainGui.playlistPanel.addPlaylist.setEnabled(true);
			MainGUI.mainGui.playlistPanel.renamePlaylist.setEnabled(true);
			MainGUI.mainGui.playlistPanel.delPlaylist.setEnabled(true);
			if (MainGUI.mainGui.playlistPanel.playlistTable.getSelectedIndices().length <= 0){
				MainGUI.mainGui.playlistPanel.openPlaylist.setEnabled(false);
				MainGUI.mainGui.playlistPanel.addPlaylist.setEnabled(false);
				MainGUI.mainGui.playlistPanel.renamePlaylist.setEnabled(false);
				MainGUI.mainGui.playlistPanel.delPlaylist.setEnabled(false);
			}
		}
		else if (arg0.getSource().equals(MainGUI.mainGui.mlibPanel.menuMedial)){
			MainGUI.mainGui.mlibPanel.addToPlaylist.setEnabled(true);
			MainGUI.mainGui.mlibPanel.titleInfo.setEnabled(true);
			if (MainGUI.mainGui.mlibPanel.searchTable.getSelectedIndices().length <= 0){
				MainGUI.mainGui.mlibPanel.addToPlaylist.setEnabled(false);
				MainGUI.mainGui.mlibPanel.titleInfo.setEnabled(false);
			}
		}
		else if (arg0.getSource().equals(MainGUI.mainGui.mlibPanel.browseMenu)){
			MainGUI.mainGui.mlibPanel.searchFor.setEnabled(true);
			if (MainGUI.mainGui.mlibPanel.browseTable.getSelectedIndices().length <= 0){
				MainGUI.mainGui.mlibPanel.searchFor.setEnabled(false);
			}
		}
	}
}
