/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package misc;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileFilter;
import java.io.FileReader;
import java.io.FileWriter;

public class TexUmlautFilter {
	
	public static void main(String[] args) {
		if (args.length != 1){
			System.out.println("no directory given");
			return;
		}
		
		File dir = new File(args[0]);
		
		if (!dir.isDirectory()){
			System.out.println(args[0] + " is not a directory sucker!!");
			System.exit(1);
		}
		File f = new File(dir + File.separator + "umlautfiltered");
		f.mkdirs();
		
		File[] files = dir.listFiles(new FileFilter(){
			public boolean accept(File arg0) {
				if (arg0.getName().endsWith(".tex"))
					return true;
				return false;
			}
		});
		for ( int i = 0; i < files.length; i++){
			checkAndWriteFile(files[i], new File(f + File.separator + files[i].getName()));
		}
		
	}
	
	private static void checkAndWriteFile(File oldFile, File newFile){
		try {
			BufferedReader bf = new BufferedReader(new FileReader(oldFile));
			String full = "";
			String line;
			while ((line = bf.readLine()) != null){
				full += line + System.getProperty("line.separator");
			}
			bf.close();
			
			full = full.replaceAll("\"a", "ä");
			full = full.replaceAll("\"o", "ö");
			full = full.replaceAll("\"u", "ü");
			full = full.replaceAll("\"A", "Ä");
			full = full.replaceAll("\"O", "Ö");
			full = full.replaceAll("\"U", "Ü");
			full = full.replaceAll("\"s", "ß");
			
			BufferedWriter bw = new BufferedWriter(new FileWriter(newFile));
			bw.write(full);
			bw.flush();
			bw.close();
			System.out.println("fixed " + newFile);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
}
