/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package tests;

import core.Management;
import statics.StaticValues;
import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {
	protected static Management m;
	
	public static Test suite() {
		StaticValues.init("");

		m = Management.getInstance();
		m.waitForID(m.playlistClear());
		m.waitForID(m.stop());
		
		TestSuite suite = new TestSuite("Test backends");
		
		suite.addTestSuite(MedialibTests.class);
		suite.addTestSuite(PlayTests.class);
		suite.addTestSuite(SettingsTests.class);
		return suite;
	}
	
	protected void tearDown() {
		m.spinDown();
	}
	
	public static void main(String[] args){
		if (args.length > 0 && args[0].equals("X")){
			junit.swingui.TestRunner.run(AllTests.class);
		}
		else {
			junit.textui.TestRunner.run(suite());
			System.exit(0);
		}
	}
}
