/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package tests;

import statics.StaticValues;
import core.Management;
import junit.framework.TestCase;

public class SettingsTests extends TestCase{
	private Management m = AllTests.m;
	private int timeout = 2000;

	public void testSetVolume() {
		int vol = 50;
		
		m.waitForID(m.setVolume(0));
		m.waitForID(m.setVolume(vol));
		
		try {Thread.sleep(timeout);} catch (InterruptedException e) {fail();}
		assertEquals(vol,m.getVolume());
	}
	
	public void testSetEQ() {
		if (m.getEQ(0) == -51) return;
		m.waitForID(m.setEQ(0, 0));
		m.waitForID(m.setEQ(0, 50));
		
		assertEquals(m.getEQ(0), 50);
	}
	
	public void testX4XPropAddSet(){
		String oldSet = "empty";
		String newSet = "myTest";
		StaticValues.setSetting("mytest", oldSet);
		
		assertEquals(StaticValues.getSetting("mytest"), oldSet);
		
		StaticValues.setSetting("mytest", newSet);
		
		assertEquals(StaticValues.getSetting("mytest"), newSet);
	}
}
